import request from '@/utils/request'

// 查询样品类型列表
export function listSample(query) {
  return request({
    url: '/biosafety/sample/list',
    method: 'get',
    params: query
  })
}

// 查询样品类型详细
export function getSample(id) {
  return request({
    url: '/biosafety/sample/' + id,
    method: 'get'
  })
}

// 新增样品类型
export function addSample(data) {
  return request({
    url: '/biosafety/sample',
    method: 'post',
    data: data
  })
}

// 修改样品类型
export function updateSample(data) {
  return request({
    url: '/biosafety/sample',
    method: 'put',
    data: data
  })
}

// 删除样品类型
export function delSample(id) {
  return request({
    url: '/biosafety/sample/' + id,
    method: 'delete'
  })
}
